<?php
        wp_enqueue_script('em-public');
        wp_enqueue_style('em-public-css');
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
        $service= EventM_Factory::get_service('EventTypeM_Service');
        $types= $service->get_types(array('paged' => $paged,'offset'=> (int) ($paged-1) * EM_PAGINATION_LIMIT,'number'=>EM_PAGINATION_LIMIT));
         
?>

<div class="emagic">
    <?php if (!empty($types)): ?>    
        <div class="em_cards dbfl em_event_type">
            <?php foreach($types as $type)
                {
                  include('event_type.php');  
                }
            ?>
        </div>
        <!-- Pagination -->
        <?php
            $total= $service->count(array('hide_empty' => false));
            $pages = ceil($total/EM_PAGINATION_LIMIT);
            // if there's more than one page
            if($pages>1){
                echo '<ul class="pagination">';
                for ($pagecount=1; $pagecount <= $pages; $pagecount++){
                    echo '<li><a href="'.get_permalink().'page/'.$pagecount.'/">'.$pagecount.'</a></li>';
                }
                echo '</ul>';  
            }
        ?>
        <!-- Pagination ends here -->
    <?php else: ?>
            <article>       
                <p><?php _e('No Event type found','eventprime-event-calendar-management'); ?></p>
            </article>
    <?php endif; ?>
</div>
<script>
    jQuery(document).ready(function(){
        $= jQuery;
        em_width_adjust(".em_performer");
        $('#addToCalendar').click(function () {
            $(this).attr("disabled", true);
        });
    });
</script>