<?php  
    wp_enqueue_style('em-public-css'); 
    $service= EventM_Factory::get_service('EventM_Service');
    $setting_service = EventM_Factory::get_service('EventM_Setting_Service');
    $global_settings= $setting_service->load_model_from_db();
?>  
<div class="emagic">
    <?php if ($the_query->have_posts()) : ?>
        <div class="em_cards">
            <!-- the loop -->
            <?php while ($the_query->have_posts()) : $the_query->the_post(); $event= $service->load_model_from_db(get_the_ID());  ?>
                <div class="em_card difl <?php if (em_is_event_expired($event->id)) echo 'emcard-expired'; ?> <?php echo empty($event->enable_booking) ? 'em_event_disabled' : ''; ?>">
                    <div class="em_event_cover dbfl">
                        <?php if (!empty($event->cover_image_id)): ?>                            
                            <a href="<?php echo add_query_arg("event",$event->id, get_permalink($global_settings->events_page)); ?>"><?php echo get_the_post_thumbnail($event->id,'large'); ?></a>
                        <?php else: ?>
                            <a href="<?php echo add_query_arg("event",$event->id, get_permalink($global_settings->events_page)); ?>"><img src="<?php echo esc_url(EM_BASE_FRONT_IMG_URL.'dummy_image.png'); ?>" alt="<?php _e('Dummy Image','eventprime-event-calendar-management'); ?>" ></a>
                        <?php endif; ?>
                    </div>
                    
                    <div class="dbfl em-card-description">
                        <div class="em_event_title em_block dbfl em_wrap"  title="<?php  echo $event->name; ?>"><a href="<?php echo add_query_arg("event",$event->id, get_permalink($global_settings->events_page)); ?>"><?php echo $event->name; ?></a></div>
                        <?php   $start_date = null; $end_date = null; $start_time = null; $end_time = null; $day = null;
                                if (em_compare_event_dates($event->id)){
                                    $day = date(get_option('date_format'),$event->start_date);
                                    $start_time = date(get_option('time_format'),$event->start_date);
                                    $end_time = date(get_option('time_format'),$event->end_date);
                                }
                                else
                                {
                                    $start_date = date(get_option('date_format').' '.get_option('time_format'),$event->start_date);
                                    $end_date = date(get_option('date_format').' '.get_option('time_format'),$event->end_date);
                                }
                        ?>
                        <?php if(!empty($day)): ?>
                            <div class="em_event_start difl em_color em_wrap">
                                <?php echo $day; ?>
                            </div>
                            <div class="em_event_start difl em_color em_wrap"><?php echo $start_time.'  to  '.$end_time; ?></div>
                        <?php else: ?>
                            <div class="em_event_start difl em_color em_wrap">
                                <?php echo $start_date; ?> -    
                            </div>
                            <div class="em_event_start difl em_color em_wrap">
                                <?php echo $end_date; ?>  
                            </div>
                        <?php endif; ?> 

                        <?php 
                              if(!empty($event->venue)){  
                              $venue_service= EventM_Factory::get_service('EventM_Venue_Service');
                              $venue= $venue_service->load_model_from_db($event->venue);
                                if(!empty($venue->id)){  ?>
                                    <div class="em_event_address dbfl" title="<?php echo $venue->address; ?>"><?php echo $venue->address; ?></div>
                              <?php }
                              }
                        ?>
                        

                        <?php if(!empty($event->enable_booking) && !empty($event->hide_booking_status)):
                                $sum = $event_service->booked_seats($event->id);
                                $capacity = em_event_seating_capcity($event->id);
                        ?>  
                                <div class="dbfl">
                                    <div class="kf-event-attr-value dbfl">  
                                        <?php if ($capacity > 0): ?>
                                            <div class="dbfl">
                                                <?php echo $sum; ?> / <?php echo $capacity; ?> 
                                            </div>
                                        <?php $width = ($sum / $capacity) * 100; ?>
                                            <div class="dbfl">
                                                <div id="progressbar" class="em_progressbar dbfl">
                                                    <div style="width:<?php echo $width . '%'; ?>" class="em_progressbar_fill em_bg" ></div>
                                                </div>
                                            </div>
                                        <?php
                                            else:
                                                echo '<div class="dbfl">' . $sum . ' '.__('Sold','eventprime-event-calendar-management').'</div>';
                                        ?>
                                        <?php endif; ?>
                                    </div>
                                </div>  
                                <?php
                            endif;?>
                    </div>
                    <div class="em-cards-footer dbfl">
                        <div class="em_event_price  difl">
                            <?php echo !empty($event->ticket_price) ? $currency_symbol.$event->ticket_price : __('Free','eventprime-event-calendar-management');?>
                        </div>
                        
                        <div class="kf-tickets-button difr">
                            <div class="em_event_attr_box em_eventpage_register difl">
                                <?php if(is_user_logged_in()): ?>
                                    <?php if($event_service->is_bookable($event)): $current_ts= current_time('timestamp');?>
                                        <?php if($event->status=='expired'):?>
                                               <div class="em_header_button em_event_expired kf-tickets"><?php _e("Booking Expired",'eventprime-event-calendar-management'); ?></div>
                                        <?php elseif($current_ts>$event->last_booking_date): ?>
                                               <div class="em_header_button em_booking-closed kf-tickets"><?php _e("Booking Closed",'eventprime-event-calendar-management'); ?></div>
                                        <?php elseif($current_ts<$event->start_booking_date): ?>  
                                               <div class="em_header_button em_not_started kf-tickets"><?php _e("Booking is not started",'eventprime-event-calendar-management'); ?></div>
                                        <?php else: ?>
                                                    <form action="<?php echo get_permalink($global_settings->booking_page); ?>" method="post" name="em_booking">
                                                        <button class="em_header_button em_event-booking kf-tickets" name="tickets" onclick="em_event_booking(<?php echo $event->id ?>)" id="em_booking"><?php _e('Book Now','eventprime-event-calendar-management'); ?></button>
                                                        <input type="hidden" name="event_id" value="<?php echo $event->id; ?>" />
                                                        <input type="hidden" name="venue_id" value="<?php echo $event->venue; ?>" />
                                                    </form>
                                        <?php endif; ?>
                                    <?php else: ?>
                                        <div class="em_event_attr_box em_eventpage_register difl">
                                            <div class="em_header_button em_not_bookable kf-tickets"><?php _e("Booking Closed",'eventprime-event-calendar-management'); ?></div>
                                        </div>
                                    <?php endif; ?>
                                <?php else: ?> 
                                        <a class="em_header_button kf-tickets" target="_blank" href="<?php echo add_query_arg('event_id',$event->id,get_permalink($global_settings->profile_page)); ?>"><?php _e('Register Now','eventprime-event-calendar-management'); ?></a>
                                <?php endif; ?>  
                            </div>
                        </div>

                    </div>
                    </div>
            <?php endwhile; ?>
                
        </div>     

        <?php if($the_query->max_num_pages > 1): ?>
            <nav class="prev-next-posts">
                <div class="prev-posts-link">
                    <?php echo get_next_posts_link('Older Entries', $the_query->max_num_pages); // display older posts link  ?>
                </div>
                <div class="next-posts-link">
                    <?php echo get_previous_posts_link('Newer Entries'); // display newer posts link  ?>
                </div>
            </nav>
        <?php endif; ?>

    <?php else: ?>
        <?php if($_POST): ?>
            <article>
                <p><?php _e('No events match your criterion.','eventprime-event-calendar-management'); ?></p>
            </article>
        <?php else: ?>
            <article>
                <p><?php _e('There are no Events available right now.','eventprime-event-calendar-management'); ?></p>
            </article>
        <?php endif; ?>
    <?php endif; ?>
</div>