jQuery(document).ready(function () {
    $ = jQuery;
    var default_view;

    switch(em_calendar_data.view){
        case 'day': default_view= 'basicDay'; break;
        case 'list': default_view= 'listWeek'; break;
        case 'week': default_view= 'basicWeek'; break;
        default: default_view= 'month';    
    }
    
    $('#em_calendar').fullCalendar({
        header: {
            left: '',
            center: 'prev,title,next',
            right: ''
        },
        defaultView: default_view,
        events: em_calendar_data.events,
        eventClick: function (calEvent, jsEvent, view) {
            //document.location.href= calEvent.link_href;
        },
        eventMouseover: function (calEvent, jsEvent, view) {
            var pop_block= $(jsEvent.currentTarget).find('.em_event_detail_popup'); 
            pop_block.show();
        },
        eventMouseout: function(event, jsEvent, view ){
            var pop_block= $(jsEvent.currentTarget).find('.em_event_detail_popup'); 
            pop_block.hide();
        },
        eventRender: function(event, element) {
            if (event.hasOwnProperty('bg_color')) {
                element.css({
                    'background-color': event.bg_color
                });
            }
            element.append(event.popup_html);
        }
    });
    $('#em_calendar .fc-toolbar .fc-center').addClass('em_bg');
    em_set_dominent_color();
});
