<div class="kikfyre" ng-app="eventMagicApp" ng-controller="bookingCtrl" ng-init="initialize('edit')">
    <div class="kf_progress_screen" ng-show="requestInProgress"></div>
    <div class="kf-booking-header dbfl">
        From: {{data.post.user.email}}
    </div>



    <div class="em-booking-detail-wrap dbfl">
        <div class="em-booking-row" >
            <span class="em-booking-label"><?php _e('Booking ID', 'eventprime-event-calendar-management'); ?>:</span> <span class="em-booking-detail"> {{data.post.id}}</span>
        </div>

        <div class="em-booking-row" >
            <span class="em-booking-label"><?php _e('Email', 'eventprime-event-calendar-management'); ?>:</span> <span class="em-booking-detail">{{data.post.order_info.user_email}}</span>
        </div>

        <div ng-show="data.user.phone.length > 0" class="em-booking-row" >
            <span class="em-booking-label"><?php _e('Phone', 'eventprime-event-calendar-management'); ?>:</span> <span class="em-booking-detail">{{data.user.phone}}</span>
        </div>

        <div ng-show="data.post.event_name" class="em-booking-row" >
            <span class="em-booking-label"><?php _e('Event', 'eventprime-event-calendar-management'); ?>:</span> <span class="em-booking-detail">{{data.post.event_name}}</span>
        </div>

        <div ng-show="data.post.order_info.quantity > 0" class="em-booking-row" >
            <span class="em-booking-label"><?php _e('No. of Persons', 'eventprime-event-calendar-management'); ?>:</span> <span class="em-booking-detail">{{data.post.order_info.quantity}}</span>
        </div>

        <div ng-show="data.post.order_info.discount > 0" class="em-booking-row" >
            <span class="em-booking-label">Discount:</span> <span class="em-booking-detail">{{data.post.order_info.discount}} {{data.post.currency_symbol}}</span>
        </div>

        <div ng-show="data.post.order_info.seat_sequences" class="em-booking-row" >
            <span class="em-booking-label"><?php _e('Seat No.', 'eventprime-event-calendar-management'); ?>:</span> <span class="em-booking-detail">{{data.post.order_info.seat_sequences.join()}}</span>
        </div>

        <div ng-show="data.post.date" class="em-booking-row" >
            <span class="em-booking-label"><?php _e('Booked On', 'eventprime-event-calendar-management'); ?>:</span> <span class="em-booking-detail">{{data.post.booked_on}}</span>
        </div>

        <div ng-show="data.post.status == 'completed'" class="em-booking-row" >
            <span class="em-booking-label"><?php _e('Amount Received', 'eventprime-event-calendar-management'); ?>:</span> <span class="em-booking-detail">{{data.post.currency_symbol}}{{(data.post.order_info.item_price * data.post.order_info.quantity) - data.post.order_info.discount}}</span>
        </div>

        <div ng-show="data.post.status != 'completed'" class="em-booking-row">
            <span class="em-booking-label"><?php _e('Amount Due', 'eventprime-event-calendar-management'); ?>:</span> <span class="em-booking-detail">{{data.post.currency_symbol}}{{(data.post.order_info.item_price * data.post.order_info.quantity) - data.post.order_info.discount}}</span>
        </div>

        <div class="em-booking-row" >
            <span class="em-booking-label"><?php _e('Status', 'eventprime-event-calendar-management'); ?>:</span> <span class="em-booking-detail">{{data.post.status}}</span>
        </div>

        <div class="em-booking-row kf-bg-light" >
            <span class="em-booking-label"><?php _e('Notifications', 'eventprime-event-calendar-management'); ?>:</span>
            <span class="em-booking-detail">
                <ul>
                    <li><a href="javascript:void(0)" ng-click="reset_password_mail()">Reset User Password Mail</a></li>
                    <li ng-show="data.post.status == 'cancelled' && data.post.cancel_email"><a href="javascript:void(0)" ng-click="cancellation_mail()"><?php _e('Resend Cancellation Mail', 'eventprime-event-calendar-management'); ?></a></li>
                    <li ng-show="data.post.status == 'completed' && data.post.confirm_email"><a href="javascript:void(0)" ng-click="confirm_mail()"><?php _e('Resend Booking Confirm Mail', 'eventprime-event-calendar-management'); ?></a></li>
                    <li ng-show="data.post.status == 'refunded'"><a href="javascript:void(0)" ng-click="refund_mail()"><?php _e('Resend Booking Refund Mail', 'eventprime-event-calendar-management'); ?></a></li>
                    <li ng-show="data.post.status == 'pending'"><a href="javascript:void(0)" ng-click="pending_mail()"><?php _e('Resend Booking Pending Mail', 'eventprime-event-calendar-management'); ?></a></li>                                 
                </ul>
            </span>
        </div>
        
        <div class="em-booking-row" ng-show="data.post.payment_log">
            <span class="em-booking-label"><input type="button" id="display_log" class="btn-primary kf-upload" value="Transaction Log" ng-click="showDiv = !showDiv" /></span>
            <span ng-show="showDiv" class="em-booking-detail" ><pre>{{data.post.payment_log| json}}</pre></span>
        </div>
        <div>
            {{refund_status}}
            <div  ng-show="data.final_price > 0 && (data.post.status == 'cancelled')" class="em-booking-row">
                <span class="em-booking-label"></span> <span class="em-booking-detail"><input type="button" value="Refund" ng-click="cancelBooking()" class="btn btn-primary kf-upload" /></span>
            </div>

        </div>
    </div>





    <div class="em_booking_buttons dbfl">
        <?php do_action('event_magic_print_ticket_btn'); ?>
        <span  ng-show="data.post.event_status != 'trash'">
            <a href="admin-ajax.php?action=em_download_booking_details&booking_id={{data.post.id}}" class="btn-primary"> <?php _e('Download Booking Details', 'eventprime-event-calendar-management'); ?></a>
        </span>
    </div>

    <div class="em-sticky-note-wrap dbfl">

        <div class="emheader"><?php _e('New Note','eventprime-event-calendar-management'); ?></div>

        <div class="em-sticky-note dbfl">
            <div class="em-booking-row em-booking-textarea" >
                <div class="emrow">
                    <textarea name="note" ng-model="data.post.note">
                
                    </textarea>
                </div>
                <div class="emrow">
                    <input type="button" ng-click="savePost()" value="Add"  class="btn btn-primary kf-upload"/>

                </div>
                <div class="emrow">    

                    <ul  class="em-notes-row" >
                        <li ng-repeat="note in data.post.notes track by $index">
                            {{note}}
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div>
            <a href="<?php echo admin_url('/admin.php?page=em_bookings'); ?>"><?php _e('Back', 'eventprime-event-calendar-management'); ?></a>
        </div>
        <div id="em_printable">

        </div>
    </div>
</div>