<?php 
        $setting_service = EventM_Factory::get_service('EventM_Setting_Service');
        $options= $setting_service->load_model_from_db();
?>
<div class="ep-frontend">
    <div class="ep-sc-wrap dbfl">
        <div class="ep-sc-blocks dbfl">
            <div class="ep-sc-block-row dbfl  ep-scpagetitle"> <b><?php _e('EventPrime','eventprime-event-calendar-management') ?></b> <span class=""><?php _e('Shortcodes','eventprime-event-calendar-management') ?></span> </div>
        </div>
        <div class="ep-sc-blocks dbfl">
            <div class="ep-sc-block difl">
                <div class="ep-sc-block-row dbfl ep-sctitle"><?php _e('All Events','eventprime-event-calendar-management') ?></div>
                <div class="ep-sc-block-row dbfl"><span class="ep-code"><a target="_blank" href="<?php echo admin_url('post.php?post='.$options->events_page.'&action=edit'); ?>">[em_events]</a></span></div>
                <div class="ep-sc-block-row dbfl"> <img class="ep-scimg" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/em-all-event.jpg' ?>">
                    <div class="ep-sc-block-row dbfl ep-scdesc">Displays the all Events panel on the frontend from where users can view, sort, and filter events according to their preference.</div>
                </div>
            </div>
            <div class="ep-sc-block difl">
                <div class="ep-sc-block-row dbfl ep-sctitle"><?php _e('All Event Types','eventprime-event-calendar-management') ?></div>
                <div class="ep-sc-block-row dbfl"><span class="ep-code"><a target="_blank" href="<?php echo admin_url('post.php?post='.$options->event_types.'&action=edit'); ?>">[em_event_types]</a></span></div>
                <div class="ep-sc-block-row dbfl"> <img class="ep-scimg" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/em-all-event-types.jpg' ?>">
                    <div class="ep-sc-block-row dbfl ep-scdesc">Displays the all Event Types panel on the frontend where users can view the categories and the number of events that belong to them.</div>
                </div>
            </div>
            <div class="ep-sc-block difl">
                <div class="ep-sc-block-row dbfl ep-sctitle"><?php _e('All Performers','eventprime-event-calendar-management') ?></div>
                <div class="ep-sc-block-row dbfl"><span class="ep-code"><a target="_blank" href="<?php echo admin_url('post.php?post='.$options->performers_page.'&action=edit'); ?>">[em_performers]</a></span></div>
                <div class="ep-sc-block-row dbfl"> <img class="ep-scimg" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/em-all-performers.jpg' ?>">
                    <div class="ep-sc-block-row dbfl ep-scdesc">Displays the all Performers panel on the frontend where users can view the list of Performers that can perform in events.</div>
                </div>
            </div>
        </div>
        <div class="ep-sc-blocks dbfl">
            <div class="ep-sc-block difl">
                <div class="ep-sc-block-row dbfl ep-sctitle"><?php _e('All Sites/Locations','eventprime-event-calendar-management') ?></div>
                <div class="ep-sc-block-row dbfl"><span class="ep-code"><a target="_blank" href="<?php echo admin_url('post.php?post='.$options->venues_page.'&action=edit'); ?>">[em_sites]</a></span></div>
                <div class="ep-sc-block-row dbfl"> <img class="ep-scimg" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/em-all-Venues.jpg' ?>">
                    <div class="ep-sc-block-row dbfl ep-scdesc">Displays the all Event Sites panel on the frontend where users can view the list of Event Sites at which events can take place.</div>
                </div>
            </div>
            <div class="ep-sc-block difl">
                <div class="ep-sc-block-row dbfl ep-sctitle"><?php _e('User Account Area','eventprime-event-calendar-management') ?></div>
                <div class="ep-sc-block-row dbfl"><span class="ep-code"><a target="_blank" href="<?php echo admin_url('post.php?post='.$options->profile_page.'&action=edit'); ?>">[em_profile]</a></span></div>
                <div class="ep-sc-block-row dbfl"> <img class="ep-scimg" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/em-user-profile.jpg' ?>">
                    <div class="ep-sc-block-row dbfl ep-scdesc">Displays the user profile panel where a user can login and see his/her bookings for events.</div>
                </div>
            </div>
            <div class="ep-sc-block difl">
                <div class="ep-sc-block-row dbfl ep-sctitle"><?php _e('Display Individual Event','eventprime-event-calendar-management') ?></div>
                <div class="ep-sc-block-row dbfl"><span class="ep-code">[em_event id="x"]</span></div>
                <div class="ep-sc-block-row dbfl"> <img class="ep-scimg" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/em-single-event.jpg' ?>">
                    <div class="ep-sc-block-row dbfl ep-scdesc">Displays all details of a single Event. Replace x with the Event ID.</div>
                </div>
            </div>
        </div>
        <div class="ep-sc-blocks dbfl">
            <div class="ep-sc-block difl">
                <div class="ep-sc-block-row dbfl ep-sctitle"><?php _e('Display Individual Event Type','eventprime-event-calendar-management') ?></div>
                <div class="ep-sc-block-row dbfl"><span class="ep-code">[em_event_type id="x"]</span></div>
                <div class="ep-sc-block-row dbfl"> <img class="ep-scimg" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/em-single-event-type.jpg' ?>">
                    <div class="ep-sc-block-row dbfl ep-scdesc">Displays all details of a single Event Type. Replace x with the Event Type ID.</div>
                </div>
            </div>
            <div class="ep-sc-block difl">
                <div class="ep-sc-block-row dbfl ep-sctitle"><?php _e('Display Individual Performer','eventprime-event-calendar-management') ?></div>
                <div class="ep-sc-block-row dbfl"><span class="ep-code">[em_performer id="x"]</span></div>
                <div class="ep-sc-block-row dbfl"> <img class="ep-scimg" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/em-single-performer.jpg' ?>">
                    <div class="ep-sc-block-row dbfl ep-scdesc">Displays all details of a single Performer. Replace x with the Performer ID.</div>
                </div>
            </div>
            <div class="ep-sc-block difl">
                <div class="ep-sc-block-row dbfl ep-sctitle"><?php  _e('Display Individual Event Site/Location','eventprime-event-calendar-management') ?></div>
                <div class="ep-sc-block-row dbfl"><span class="ep-code">[em_event_site id="x"]</span></div>
                <div class="ep-sc-block-row dbfl"> <img class="ep-scimg" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/em-single-vanue.jpg' ?>">
                    <div class="ep-sc-block-row dbfl ep-scdesc">Displays all details of a single Event Site. Replace x with the Event Site ID.</div>
                </div>
            </div>
        </div>
    </div>
</div>
