<?php add_thickbox();
wp_enqueue_script('em-global-settings-controller'); ?>
<div class="kikfyre kf-container" ng-app="eventMagicApp" ng-controller="globalSettingsCtrl" ng-init="initialize()" ng-cloak>
    <div class="kf_progress_screen" ng-show="requestInProgress"></div>
    <div class="content kf-hidden" style="{{requestInProgress ?'display:none':'display:block'}}">
        <?php if (event_m_get_param('show_payment')): ?>      
            <div  ng-init="show_payments(true)">  </div>
        <?php endif; ?>
        <div class="kf-db-title dbfl"><?php _e('Global Settings', 'eventprime-event-calendar-management'); ?></div>
        <div class="form_errors">
            <ul>
                <li class="emfield_error" ng-repeat="error in  formErrors">
                    <span>{{error}}</span>
                </li>
            </ul>  
        </div>
        <div class="kf-global-settings dbfl" ng-hide="showNotification || showPayments || showExternalIntegration || showPageIntegration || showPageGSettings">
            <div class="kf-settings-icon-area dbfl">
                <a href="javascript:void(0)" ng-click="showNotification = true">
                    <div class="em-settings-box">
                        <img class="em-settings-icon"  src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/rm-email-notifications.png">
                        <div class="em-settings-description">

                        </div>
                        <div class="em-settings-subtitle"><?php _e('Email Notifications', 'eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Notification Contents', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>        

                <a href="javascript:void(0)" ng-click="showPayments = true" >
                    <div class="em-settings-box">
                        <img class="em-settings-icon" ng-src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/rm-payments.png">
                        <div class="em-settings-subtitle"><?php _e('Payments','eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Payment gateway configuration settings','eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>

                <a href="javascript:void(0)" ng-click="showExternalIntegration = true">
                    <div class="em-settings-box">
                        <img class="em-settings-icon"  ng-src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/rm-third-party.png">
                        <div class="em-settings-description">

                        </div>
                        <div class="em-settings-subtitle"><?php _e('External Integration', 'eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Map Integration, Social Sharing...', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>


                <a href="javascript:void(0)" ng-click="showPageIntegration = true">
                    <div class="em-settings-box">
                        <img class="em-settings-icon"  ng-src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/kf-pages.png">
                        <div class="em-settings-description">

                        </div>
                        <div class="em-settings-subtitle"><?php _e('Default Pages', 'eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Pages with shortcodes', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>

                <a href="javascript:void(0)" ng-click="showPageGSettings = true">
                    <div class="em-settings-box">
                        <img class="em-settings-icon"  ng-src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/ep-global-setting-icon.png">
                        <div class="em-settings-description">

                        </div>
                        <div class="em-settings-subtitle"><?php _e('Regular Settings', 'eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Regular Settings', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>
                <?php do_action('event_magic_gs_settings'); ?>
            </div>
        </div>    
        <form name="optionForm" ng-submit="saveSettings(optionForm.$valid)" novalidate >
            <div ng-show="showPageIntegration">    
                <div class="emrow">
                    <div class="emfield"><?php _e('Performers Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select id="em_page" name="performers_page" ng-model="data.options.performers_page"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        
                    <div class="emfield_error">
                    </div>
                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Performers Page will navigate to selected page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>            


                <div class="emrow">
                    <div class="emfield"><?php _e('Event Sites', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select id="em_page" name="venues_page" ng-model="data.options.venues_page"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        

                    <div class="emfield_error">
                    </div>
                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Venues Page will navigate to selected page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield"><?php _e('Events Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select id="em_page"  name="events_page" ng-model="data.options.events_page"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        

                    <div class="emfield_error">
                    </div>

                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Events Page will navigate to selected page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield"> <?php _e('Bookings Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select id="em_page"  name="booking_page" ng-model="data.options.booking_page"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        

                    <div class="emfield_error">
                    </div>

                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Bookings Page will navigate to selected page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield"><?php _e('Profile Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select id="em_page"  name="profile_page" ng-model="data.options.profile_page"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        
                    <div class="emfield_error">
                    </div>
                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Profile Page will navigate to selected page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield"><?php _e('Event Types Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select id="em_page"  name="event_types" ng-model="data.options.event_types"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        
                    <div class="emfield_error">
                    </div>
                </div>

            </div>


            <div ng-show="showExternalIntegration">
                <div class="em-external-integration">
                    <div class="emrow">
                        <div class="emfield"><?php _e('Google Map API Key', 'eventprime-event-calendar-management'); ?></div>
                        <div class="eminput">
                            <input type="text" name="gmap_api_key"  ng-model="data.options.gmap_api_key">
                            <div class="emfield_error">

                            </div>
                        </div>
                        <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                            <?php _e('Enter Google Map API Key after registering your application for Google Maps.', 'eventprime-event-calendar-management'); ?>
                        </div>
                    </div>
                </div>   

                <div class="em-external-integration" >
                    <div class="emrow">
                        <div class="emfield"><?php _e('Allow Social Sharing', 'eventprime-event-calendar-management'); ?></div>
                        <div class="eminput">
                            <input type="checkbox" ng-true-value="1" ng-fale-value="0" name="social_sharing"  ng-model="data.options.social_sharing">
                            <div class="emfield_error">

                            </div>
                        </div>
                        <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                            <?php _e('Allow visitors to share Events on Facebook and Twitter.', 'eventprime-event-calendar-management'); ?>
                        </div>
                    </div>
                </div>


                <div class="em-external-integration" ng-show="data.options.social_sharing == 1">
                    <div class="emrow">
                        <div class="emfield"><?php _e('Facebook API Key', 'eventprime-event-calendar-management'); ?><sup>*</sup></div>
                        <div class="eminput">
                            <input type="text" name="fb_api_key" ng-required="data.options.social_sharing==1"  ng-model="data.options.fb_api_key">
                            <div class="emfield_error">
                                <span ng-show="optionForm.fb_api_key.$error.required && !optionForm.fb_api_key.$pristine"><?php _e('This is a required field.', 'eventprime-event-calendar-management'); ?></span>
                            </div>
                        </div>
                        <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                            <?php _e('Enter your Facebook API key.', 'eventprime-event-calendar-management'); ?>
                        </div>
                    </div>
                </div>


                <div class="em-external-integration" >
                    <div class="emrow">
                        <div class="emfield"><?php _e('Google Calendar Sharing', 'eventprime-event-calendar-management'); ?></div>
                        <div class="eminput">
                            <input type="checkbox" ng-true-value="1" ng-fale-value="0" name="gcal_sharing"  ng-model="data.options.gcal_sharing">
                            <div class="emfield_error">

                            </div>
                        </div>
                        <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                            <?php _e('Allow users to share events through Google Calendar. Calendar API lets you display, create and modify Events.', 'eventprime-event-calendar-management'); ?>
                        </div>
                    </div>
                </div>

                <div ng-show="data.options.gcal_sharing == 1">
                    <div class="em-external-integration">
                        <div class="emrow">
                            <div class="emfield"><?php _e('Google Calendar Client ID', 'eventprime-event-calendar-management'); ?><sup>*</sup></div>
                            <div class="eminput">
                                <input type="text" ng-required="data.options.gcal_sharing==1" name="google_cal_client_id"  ng-model="data.options.google_cal_client_id">
                                <div class="emfield_error">
                                    <span ng-show="optionForm.google_cal_client_id.$error.required && !optionForm.google_cal_client_id.$pristine"><?php _e('This is a required field.', 'eventprime-event-calendar-management'); ?></span>
                                </div>
                            </div>
                            <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                <?php _e('Enter your Google Calendar Client ID.', 'eventprime-event-calendar-management'); ?>
                            </div>
                        </div>
                    </div> 



                    <div class="em-external-integration">
                        <div class="emrow">
                            <div class="emfield"><?php _e('Google Calendar API Key', 'eventprime-event-calendar-management'); ?><sup>*</sup></div>
                            <div class="eminput">
                                <input type="text" ng-required="data.options.gcal_sharing==1" name="google_cal_api_key"  ng-model="data.options.google_cal_api_key">
                                <div class="emfield_error">
                                    <span ng-show="optionForm.google_cal_api_key.$error.required && !optionForm.google_cal_api_key.$pristine"><?php _e('This is a required field.', 'eventprime-event-calendar-management'); ?></span>
                                </div>
                            </div>
                            <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                <?php _e('Enter your Google Calendar API Key.', 'eventprime-event-calendar-management'); ?>
                            </div>
                        </div>
                    </div>  
                </div>  
            </div>  

            <div ng-show="showNotification">
                <div class="emrow">
                    <div class="emfield emeditor"><?php _e('Registration Email Subject', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <input type="text" name="registration_email_subject"  ng-model="data.options.registration_email_subject">
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Subject for email that will be sent to the user on registration.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 

                <div class="emrow">
                    <div class="emfield emeditor"><?php _e('Registration Email Body', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('registration_email_content');
                        wp_editor($content, 'registration_email_content');
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Message to be sent in email when user is registered.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield emeditor"><?php _e('Booking Pending Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('booking_pending_email');
                        em_add_editor('booking_pending_email', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Email with pending notification is sent to the user when either payment has not been made, or there is any issue related to it.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">   
                    <div class="emfield"><?php _e('Send Booking Confirmation Mail', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" name="send_booking_confirm_email" id="send_booking_confirm_email"  ng-true-value="1" ng-false-value="0" ng-model="data.options.send_booking_confirm_email" >
                    </div>
                </div>

                <div class="emrow" ng-show="data.options.send_booking_confirm_email == 1">
                    <div class="emfield emeditor"><?php _e('Booking Confirmation Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('booking_confirmed_email');
                        em_add_editor('booking_confirmed_email', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Confirmation email is sent to the user once his/ her payment has been received and seats reserved.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>


                <div class="emrow">   
                    <div class="emfield"><?php _e('Send Booking Cancellation Mail', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" name="send_booking_cancellation_email" id="send_booking_cancellation_email"  ng-true-value="1" ng-false-value="0"  ng-model="data.options.send_booking_cancellation_email" >
                    </div>
                </div>

                <div class="emrow" ng-show="data.options.send_booking_cancellation_email == 1">
                    <div class="emfield emeditor"><?php _e('Booking Cancellation Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('booking_cancelation_email');
                        em_add_editor('booking_cancelation_email', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('User will receive this message on requesting cancellation for a booking.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield emeditor"><?php _e('Reset User Password', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('reset_password_mail');
                        em_add_editor('reset_password_mail', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('In case user requests password reset, admin may initiate it from Booking Manager Page, triggering this email with new password to the requesting user.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield emeditor"><?php _e('Booking Refund Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('booking_refund_email');
                        em_add_editor('booking_refund_email', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Refund Mail is sent to the user when admin accepts cancellation request and issues a refund.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

            </div>

            <div ng-show="showPageGSettings">
                <div class="emrow">
                    <div class="emfield"><?php _e('Hide Past Events from Events Directory', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" ng-true-value="1" ng-false-value="0" name="hide_past_events" id="hide_past_events" ng-model="data.options.hide_past_events" /></li>
                    </div>                   
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('This will hide past events from Events Directory page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
            </div>    

            <div ng-show="showPayments">
                <div class="emrow kf_pricefield_checkbox">
                    <div class="emfield"> <?php _e('Payment Processor', 'eventprime-event-seating'); ?></div>
                    <div class="eminput em-payments">
                        <ul  class="payment_processor">
                            <li>
                                <input type="checkbox" name="paypal_processor" id="paypal_processor" ng-true-value="1" ng-fale-value="0"  ng-model="data.options.paypal_processor" />
                                <span><img src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/payment-paypal.png" alt=""></span>
                                <div class="emrow"><div class="rminput" ><a ng-class="{'disable-Stripe-Config': !data.options.paypal_processor}"  ng-click="configure_paypal = true"><?php _e('Configure', 'eventprime-event-calendar-management'); ?></a></div></div>
                                <div class="emfield_error" ng-show="optionForm.paypal_email.$invalid">
                                    <span> <?php _e('Please configure Paypal Email.', 'eventprime-event-calendar-management'); ?></span>  
                                </div>
                            </li>
                            <?php do_action('event_magic_gs_pp'); ?>
                        </ul>
                        <div id="kf_pproc_config_parent_backdrop" class="pg_options kf_config_pop_wrap" ng-show="configure_paypal">
                            <div id="kf_pproc_config_parent" class="paypa_settings kf_config_pop" ng-show="data.options.paypal_processor == 1">
                                <div  class="kf_pproc_config_single" id="kf_pproc_config_paypal">
                                    <div class="kf_pproc_config_single_titlebar">
                                        <div class="kf_pproc_title">
                                            <img src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/payment-paypal.png" alt=""></div>
                                        <span ng-click="configure_paypal = false" class="kf-popup-close">×</span></div>
                                </div>

                                <div class="emrow">
                                    <div class="emfield"><?php _e('Test Mode', 'eventprime-event-seating'); ?></div>
                                    <div class="eminput">
                                        <input type="checkbox" name="payment_test_mode" ng-true-value="1" ng-false-value="0"  ng-model="data.options.payment_test_mode">
                                        <div class="emfield_error">

                                        </div>
                                    </div>
                                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                        <?php _e('Enable PayPal Sandbox. PayPal Sandbox can be used to test payments without initiating actual transactions.', 'eventprime-event-seating'); ?>
                                    </div>
                                </div> 

                                <div class="emrow">
                                    <div class="emfield"><?php _e('Paypal Email', 'eventprime-event-seating'); ?></div>
                                    <div class="eminput">
                                        <input ng-required="data.options.paypal_processor==1" type="email" name="paypal_email"  ng-model="data.options.paypal_email">
                                        <div class="emfield_error" ng-show="optionForm.paypal_email.$invalid">
                                            <span> <?php _e('Invalid Email', 'eventprime-event-seating'); ?></span>  
                                        </div>
                                    </div>
                                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                        <?php _e('Enter your email registered with PayPal.', 'eventprime-event-seating'); ?>
                                    </div>
                                </div> 

                                <div class="emrow">
                                    <div class="emfield"><?php _e('Paypal API Username', 'eventprime-event-seating'); ?></div>
                                    <div class="eminput">
                                        <input type="text" name="paypal_api_username"  ng-model="data.options.paypal_api_username">
                                        <div class="emfield_error">

                                        </div>
                                    </div>
                                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                        <?php _e('Enter your PayPal API Username.', 'eventprime-event-seating'); ?>
                                    </div>
                                </div> 

                                <div class="emrow">
                                    <div class="emfield"><?php _e('Paypal API Password', 'eventprime-event-seating'); ?></div>
                                    <div class="eminput">
                                        <input type="text" name="paypal_api_password"  ng-model="data.options.paypal_api_password">
                                        <div class="emfield_error">

                                        </div>
                                    </div>
                                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                        <?php _e('Enter your PayPal API Password.', 'eventprime-event-seating'); ?>
                                    </div>
                                </div>  

                                <div class="emrow">
                                    <div class="emfield"><?php _e('Paypal API Signature', 'eventprime-event-seating'); ?></div>
                                    <div class="eminput">
                                        <input type="text" name="paypal_api_sig"  ng-model="data.options.paypal_api_sig">
                                        <div class="emfield_error">

                                        </div>
                                    </div>
                                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                        <?php _e('Enter your PayPal API Signature.', 'eventprime-event-seating'); ?>
                                    </div>
                                </div>         

                                <div class="emrow">
                                    <div class="dbfl kf-buttonarea"><button class="btn btn-primary" ng-click="saveSettings(optionForm.$valid)" ng-disabled="postForm.$invalid" value="<?php _e('Save', 'eventprime-event-seating'); ?>" ><?php _e('Save', 'eventprime-event-seating'); ?></button></div>
                                </div>
                            </div>

                        </div> 
                        <?php do_action('event_magic_gs_pp_options'); ?>
                    </div>
                    <div class="emrow">
                        <div class="emfield"><?php _e('Currency', 'eventprime-event-seating'); ?></div>
                        <div class="eminput">
                            <select id="currency" name="currency" ng-model="data.options.currency" ng-options="cur.key as cur.label for cur in data.options.currencies"></select>
                            <div class="emfield_error">
                            </div>
                        </div>                        
                        <div class="emnote "><i class="fa fa-info-circle" aria-hidden="true"></i>
                            <?php _e('Default Currency for accepting payments. Usually, this will be default currency in your PayPal account.', 'eventprime-event-seating'); ?>
                        </div>
                    </div>

                    <div class="dbfl kf-buttonarea">
                        <div class="em_cancel"><a class="kf-cancel" href="javascript:void(0)" ng-click="showSettingOptions()"><?php _e('Go to Settings Area', 'eventprime-event-seating'); ?></a></div>
                        <button class="btn btn-primary" ng-click="saveSettings(optionForm.$valid)" ng-disabled="postForm.$invalid" value="<?php _e('Save', 'eventprime-event-seating'); ?>" > <?php _e('Save', 'eventprime-event-seating'); ?> </button>
                    </div>

                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Select your payment gateway.', 'eventprime-event-seating'); ?>
                    </div>
                </div>   

            </div>
            
            <?php do_action('event_magic_gs_popup'); ?>

            <div class="dbfl kf-buttonarea" ng-show="showNotification || showExternalIntegration || showPageIntegration || showPageGSettings">
                <div class="em_cancel"><a class="kf-cancel" href="javascript:void(0)" ng-click="showSettingOptions()"><?php _e('Go to Settings Area', 'eventprime-event-calendar-management'); ?></a></div>
                <button type="submit" class="btn btn-primary" ng-disabled="postForm.$invalid"><?php _e('Save', 'eventprime-event-calendar-management'); ?></button>
            </div>
        </form>    

    </div>
</div>
